'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
var flip = require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
require('./eq.js');
require('./_prepend.js');
require('./_nubBy.js');
require('./nubBy.js');
var nub = require('./nub.js');
require('./_removeBy.js');
var removeBy = require('./removeBy.js');
var _fold = require('./_fold.js');

function differenceBy(f, as, bs) {
  return _fold(flip(removeBy(f)), nub(as), nub(bs));
}

module.exports = differenceBy;
