'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
var __chunk_4 = require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
var _filter = require('./_filter.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');
var _prepend = require('./_prepend.js');

function nubBy(f, as) {
  var a = head(as);
  return empty(as) ? __chunk_4.mempty(as) : _prepend(a, nubBy(f, _filter(function (b) {
    return !f(a, b);
  }, tail(as))));
}

module.exports = nubBy;
