'use strict';

var _fold = require('./_fold.js');
var _tap = require('./_tap.js');

function scan(f, s, as) {
  var r = [s];
  _fold(function (b, a) {
    return _tap(r.push.bind(r), f(b, a));
  }, s, as);
  return r;
}

module.exports = scan;
