'use strict';

function zipWith(f, as, bs) {
  var n = Math.min(as.length, bs.length);
  return Array.from(as.slice(0, n)).map(function (a, i) {
    return f(a, bs[i]);
  });
}

module.exports = zipWith;
