'use strict';

var _add = require('./_add.js');
var curry = require('./curry.js');

/**
 * Returns the sum of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The result of `b + a`.
 * @example
 *
 * import { add } from 'fkit'
 * add(1, 2) // 3
 */

var add = curry(_add);

module.exports = add;
