'use strict';

/**
 * Returns the negation of a number.
 *
 * @param {Number} a The number.
 * @returns {Number} The result.
 * @example
 *
 * import { negate } from 'fkit'
 * negate(1) // -1
 */
function negate(a) {
  return -a;
}

module.exports = negate;
