'use strict';

var array = require('./array.js');

/**
 * Creates a new string.
 *
 * @param {Number} n The length of the string.
 * @returns {String} A string of length `n`.
 * @example
 *
 * import { string } from 'fkit'
 * string(3) // '   '
 */

function string(n) {
  return array(n + 1).join(' ');
}

module.exports = string;
