'use strict';

var curry = require('./curry.js');
var _sub = require('./_sub.js');

/**
 * Returns the difference of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The result of `b - a`.
 * @example
 *
 * import { sub } from 'fkit'
 * sub(1, 2) // 1
 */

var sub = curry(_sub);

module.exports = sub;
