'use strict';

require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
require('./_pair.js');
var pair = require('./pair.js');
var tail = require('./tail.js');
var _map = require('./_map.js');

function cartesian(as, bs) {
  return empty(as) ? [] : concat(_map(pair(head(as)), bs), cartesian(tail(as), bs));
}

module.exports = cartesian;
