'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _any = require('./_any.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_prepend.js');
require('./_isPrefixOf.js');
var isPrefixOf = require('./isPrefixOf.js');
var tails = require('./tails.js');

function isInfixOf(as, bs) {
  return _any(isPrefixOf(as), tails(bs));
}

module.exports = isInfixOf;
