'use strict';

var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');

function isPrefixOf(as, bs) {
  if (empty(as)) {
    return true;
  } else if (empty(bs)) {
    return false;
  } else {
    return head(as) === head(bs) && isPrefixOf(tail(as), tail(bs));
  }
}

module.exports = isPrefixOf;
