'use strict';

require('./_add.js');
var curry = require('./curry.js');
var add = require('./add.js');
var always = require('./always.js');
require('./_branch.js');
var branch = require('./branch.js');
var id = require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
var variadic = require('./variadic.js');
var compose = require('./compose.js');
require('./_append.js');
var append = require('./append.js');
var flip = require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
var concat = require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./_all.js');
var all = require('./all.js');
require('./_and.js');
var and = require('./and.js');
require('./_any.js');
var any = require('./any.js');
require('./_apply.js');
var apply = require('./apply.js');
require('./_apply2.js');
var apply2 = require('./apply2.js');
require('./_apply3.js');
var apply3 = require('./apply3.js');
require('./_applyMethod.js');
var applyMethod = require('./applyMethod.js');
require('./_applyMethod2.js');
var applyMethod2 = require('./applyMethod2.js');
require('./_applyMethod3.js');
var applyMethod3 = require('./applyMethod3.js');
require('./_applyRight.js');
var applyRight = require('./applyRight.js');
var array = require('./array.js');
require('./_between.js');
var between = require('./between.js');
var binary = require('./binary.js');
var empty = require('./empty.js');
var head = require('./head.js');
require('./_pair.js');
var pair = require('./pair.js');
var tail = require('./tail.js');
require('./_map.js');
require('./_cartesian.js');
var cartesian = require('./cartesian.js');
require('./_eq.js');
var eq = require('./eq.js');
var last = require('./last.js');
require('./_dropWhile.js');
require('./_takeWhile.js');
require('./_span.js');
var span = require('./span.js');
require('./_prepend.js');
require('./_chunkBy.js');
var chunkBy = require('./chunkBy.js');
var chunk = require('./chunk.js');
require('./_max.js');
require('./_min.js');
require('./_clamp.js');
var clamp = require('./clamp.js');
require('./_compare.js');
var compare = require('./compare.js');
var concatMap = require('./concatMap.js');
var copy = require('./copy.js');
var dec = require('./dec.js');
require('./_nubBy.js');
var nubBy = require('./nubBy.js');
var nub = require('./nub.js');
require('./_removeBy.js');
var removeBy = require('./removeBy.js');
require('./_fold.js');
require('./_differenceBy.js');
var differenceBy = require('./differenceBy.js');
var difference = require('./difference.js');
require('./_div.js');
var div = require('./div.js');
require('./_drop.js');
var drop = require('./drop.js');
var dropWhile = require('./dropWhile.js');
require('./_elem.js');
var elem = require('./elem.js');
require('./_elemIndex.js');
var elemIndex = require('./elemIndex.js');
require('./_findIndices.js');
require('./_elemIndices.js');
var elemIndices = require('./elemIndices.js');
var even = require('./even.js');
var filter = require('./filter.js');
require('./_find.js');
var find = require('./find.js');
require('./_findIndex.js');
var findIndex = require('./findIndex.js');
var findIndices = require('./findIndices.js');
var fold = require('./fold.js');
require('./_foldRight.js');
var foldRight = require('./foldRight.js');
require('./_get.js');
var get = require('./get.js');
require('./_groupBy.js');
var groupBy = require('./groupBy.js');
require('./_gt.js');
var gt = require('./gt.js');
require('./_gte.js');
var gte = require('./gte.js');
var inc = require('./inc.js');
var init = require('./init.js');
var prepend = require('./prepend.js');
var inits = require('./inits.js');
require('./_intersectBy.js');
var intersectBy = require('./intersectBy.js');
var intersect = require('./intersect.js');
require('./_intersperse.js');
var intersperse = require('./intersperse.js');
require('./_isPrefixOf.js');
var isPrefixOf = require('./isPrefixOf.js');
var tails = require('./tails.js');
require('./_isInfixOf.js');
var isInfixOf = require('./isInfixOf.js');
var reverse = require('./reverse.js');
require('./_isSuffixOf.js');
var isSuffixOf = require('./isSuffixOf.js');
var keys = require('./keys.js');
var length = require('./length.js');
require('./_lt.js');
var lt = require('./lt.js');
require('./_lte.js');
var lte = require('./lte.js');
var map = require('./map.js');
var max = require('./max.js');
require('./_maximumBy.js');
var maximumBy = require('./maximumBy.js');
var maximum = require('./maximum.js');
var min = require('./min.js');
require('./_minimumBy.js');
var minimumBy = require('./minimumBy.js');
var minimum = require('./minimum.js');
require('./_mod.js');
var mod = require('./mod.js');
require('./_mul.js');
var mul = require('./mul.js');
var negate = require('./negate.js');
require('./_neq.js');
var neq = require('./neq.js');
var not = require('./not.js');
var odd = require('./odd.js');
require('./chunk-fac2c876.js');
require('./_set.js');
require('./_omit.js');
var omit = require('./omit.js');
require('./_or.js');
var or = require('./or.js');
var pairs = require('./pairs.js');
require('./_partition.js');
var partition = require('./partition.js');
var permutations = require('./permutations.js');
require('./_pick.js');
var pick = require('./pick.js');
var product = require('./product.js');
require('./_randomFloat.js');
var randomFloat = require('./randomFloat.js');
require('./_randomInt.js');
var randomInt = require('./randomInt.js');
require('./_range.js');
var range = require('./range.js');
var remove = require('./remove.js');
require('./_replace.js');
var replace = require('./replace.js');
var string = require('./string.js');
require('./_replicate.js');
var replicate = require('./replicate.js');
var shuffle = require('./shuffle.js');
require('./_take.js');
require('./_sample.js');
var sample = require('./sample.js');
require('./_tap.js');
require('./_scan.js');
var scan = require('./scan.js');
require('./_scanRight.js');
var scanRight = require('./scanRight.js');
var set = require('./set.js');
require('./_sortBy.js');
var sortBy = require('./sortBy.js');
var sort = require('./sort.js');
require('./_splitAt.js');
var splitAt = require('./splitAt.js');
require('./_sub.js');
var sub = require('./sub.js');
var subsequences = require('./subsequences.js');
var sum = require('./sum.js');
require('./_surround.js');
var surround = require('./surround.js');
var take = require('./take.js');
var takeWhile = require('./takeWhile.js');
var tap = require('./tap.js');
var toLower = require('./toLower.js');
var toUpper = require('./toUpper.js');
var tuple = require('./tuple.js');
var unary = require('./unary.js');
var uncurry = require('./uncurry.js');
require('./_unionBy.js');
var unionBy = require('./unionBy.js');
var union = require('./union.js');
var unzip = require('./unzip.js');
require('./_update.js');
var update = require('./update.js');
var values = require('./values.js');
require('./_whereAll.js');
var whereAll = require('./whereAll.js');
require('./_whereAny.js');
var whereAny = require('./whereAny.js');
require('./_zipWith.js');
var zipWith = require('./zipWith.js');
var zip = require('./zip.js');



exports.curry = curry;
exports.add = add;
exports.always = always;
exports.branch = branch;
exports.id = id;
exports.variadic = variadic;
exports.compose = compose;
exports.append = append;
exports.flip = flip;
exports.concat = concat;
exports.all = all;
exports.and = and;
exports.any = any;
exports.apply = apply;
exports.apply2 = apply2;
exports.apply3 = apply3;
exports.applyMethod = applyMethod;
exports.applyMethod2 = applyMethod2;
exports.applyMethod3 = applyMethod3;
exports.applyRight = applyRight;
exports.array = array;
exports.between = between;
exports.binary = binary;
exports.empty = empty;
exports.head = head;
exports.pair = pair;
exports.tail = tail;
exports.cartesian = cartesian;
exports.eq = eq;
exports.last = last;
exports.span = span;
exports.chunkBy = chunkBy;
exports.chunk = chunk;
exports.clamp = clamp;
exports.compare = compare;
exports.concatMap = concatMap;
exports.copy = copy;
exports.dec = dec;
exports.nubBy = nubBy;
exports.nub = nub;
exports.removeBy = removeBy;
exports.differenceBy = differenceBy;
exports.difference = difference;
exports.div = div;
exports.drop = drop;
exports.dropWhile = dropWhile;
exports.elem = elem;
exports.elemIndex = elemIndex;
exports.elemIndices = elemIndices;
exports.even = even;
exports.filter = filter;
exports.find = find;
exports.findIndex = findIndex;
exports.findIndices = findIndices;
exports.fold = fold;
exports.foldRight = foldRight;
exports.get = get;
exports.groupBy = groupBy;
exports.gt = gt;
exports.gte = gte;
exports.inc = inc;
exports.init = init;
exports.prepend = prepend;
exports.inits = inits;
exports.intersectBy = intersectBy;
exports.intersect = intersect;
exports.intersperse = intersperse;
exports.isPrefixOf = isPrefixOf;
exports.tails = tails;
exports.isInfixOf = isInfixOf;
exports.reverse = reverse;
exports.isSuffixOf = isSuffixOf;
exports.keys = keys;
exports.length = length;
exports.lt = lt;
exports.lte = lte;
exports.map = map;
exports.max = max;
exports.maximumBy = maximumBy;
exports.maximum = maximum;
exports.min = min;
exports.minimumBy = minimumBy;
exports.minimum = minimum;
exports.mod = mod;
exports.mul = mul;
exports.negate = negate;
exports.neq = neq;
exports.not = not;
exports.odd = odd;
exports.omit = omit;
exports.or = or;
exports.pairs = pairs;
exports.partition = partition;
exports.permutations = permutations;
exports.pick = pick;
exports.product = product;
exports.randomFloat = randomFloat;
exports.randomInt = randomInt;
exports.range = range;
exports.remove = remove;
exports.replace = replace;
exports.string = string;
exports.replicate = replicate;
exports.shuffle = shuffle;
exports.sample = sample;
exports.scan = scan;
exports.scanRight = scanRight;
exports.set = set;
exports.sortBy = sortBy;
exports.sort = sort;
exports.splitAt = splitAt;
exports.sub = sub;
exports.subsequences = subsequences;
exports.sum = sum;
exports.surround = surround;
exports.take = take;
exports.takeWhile = takeWhile;
exports.tap = tap;
exports.toLower = toLower;
exports.toUpper = toUpper;
exports.tuple = tuple;
exports.unary = unary;
exports.uncurry = uncurry;
exports.unionBy = unionBy;
exports.union = union;
exports.unzip = unzip;
exports.update = update;
exports.values = values;
exports.whereAll = whereAll;
exports.whereAny = whereAny;
exports.zipWith = zipWith;
exports.zip = zip;
