'use strict';

/**
 * Gets the length of a list.
 *
 * @param {Array|String} as The list.
 * @returns {Number} The number of elements in the list of `as`.
 * @example
 *
 * import { length } from 'fkit'
 * length([1, 2, 3]) // 3
 * length('foo') // 3
 */
function length(as) {
  return as.length;
}

module.exports = length;
