'use strict';

var curry = require('./curry.js');
var _min = require('./_min.js');

/**
 * Determines the smallest of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The smallest of the numbers `a` and `b`.
 * @example
 *
 * import { min } from 'fkit'
 * min(1, 2) // 1
 */

var min = curry(_min);

module.exports = min;
