'use strict';

var curry = require('./curry.js');
var _mod = require('./_mod.js');

/**
 * Returns the modulo of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The result of `b % a`.
 * @example
 *
 * import { mod } from 'fkit'
 * mod(3, 2) // 1
 */

var mod = curry(_mod);

module.exports = mod;
