'use strict';

/**
 * Determines whether a number is odd.
 *
 * @param {Number} a The number.
 * @returns {Boolean} `true` if the number `a` is odd, false otherwise.
 * @example
 *
 * import { odd } from 'fkit'
 * odd(2) // true
 * odd(1) // false
 */
function odd(a) {
  return Boolean(a % 2);
}

module.exports = odd;
